Bug 823982 - Support merging RHQ and customer updates to agent log4j.xml
Support merging RHQ and customer updates to agent log4j.xml
Status: NEW
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: JON3-45/PRODMGT-131/PRODMGT-417
  Show dependency treegraph
 
Reported: 2012-05-22 10:34 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-05-22 10:34:41 EDT
We should support the following scenarios around log4j.xml when auto upgrading agents:

1) add/update/remove entries in log4j.xml where the customer has *not* made any updates from the previous release.
2) add/update/remove entries in log4j.xml where the customer *has* made updates from the previous release. But the two sets of updates (ours and the customers) *can* be merged
3) add/update/remove entries in log4j.xml where the customer *has* made updates from the previous release. But the two sets of updates (ours and the customers) *cannot* be merged. In which case our updates should probably be used and the customers old updated version should be left alongside the new version for manual merging (e.g. similar to how rpm handles config file conflicts)
Comment 1 Mike Foley 2012-05-29 10:41:30 EDT
per BZ Triage 5/29/2012 (ccrouch, loleary, asantos, mfoley, myarborough) moving these to JON 3.1.1 or later

Note You need to log in before you can comment on or make changes to this bug.